Package org.apache.ignite.internal.management.cache

## Class IdleVerifyResultV2

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.management.cache.IdleVerifyResultV2

All Implemented Interfaces:
  `Externalizable`, `Serializable`

    public class IdleVerifyResultV2
    extends VisorDataTransferObject

Encapsulates result of `VerifyBackupPartitionsTaskV2`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4, V5`

### Constructor Summary

Constructors
`IdleVerifyResultV2()` Default constructor for Externalizable.
`IdleVerifyResultV2​(Map<ClusterNode,​Exception> exceptions)`
`IdleVerifyResultV2​(Map<PartitionKeyV2,​List<PartitionHashRecordV2>> clusterHashes, @Nullable List<List<TransactionsHashRecord>> txHashConflicts, @Nullable Map<ClusterNode,​Collection<GridCacheVersion>> partiallyCommittedTxs)`
`IdleVerifyResultV2​(Map<PartitionKeyV2,​List<PartitionHashRecordV2>> clusterHashes, Map<ClusterNode,​Exception> exceptions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<PartitionKeyV2,​List<PartitionHashRecordV2>>` `counterConflicts()`
`boolean` `equals​(Object o)`
`Map<ClusterNode,​Exception>` `exceptions()`
`byte` `getProtocolVersion()`
`boolean` `hasConflicts()`
`int` `hashCode()`
`Map<PartitionKeyV2,​List<PartitionHashRecordV2>>` `hashConflicts()`
`Map<PartitionKeyV2,​List<PartitionHashRecordV2>>` `lostPartitions()`
`Map<PartitionKeyV2,​List<PartitionHashRecordV2>>` `movingPartitions()`
`void` `print​(Consumer<String> printer, boolean printExceptionMessages)` Print formatted result to the given printer.
`protected void` `readExternalData​(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData​(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IdleVerifyResultV2

    public IdleVerifyResultV2()

Default constructor for Externalizable.

#### IdleVerifyResultV2

    public IdleVerifyResultV2​(Map<ClusterNode,​Exception> exceptions)

Parameters:
  `exceptions` - Occurred exceptions.

#### IdleVerifyResultV2

    public IdleVerifyResultV2​(Map<PartitionKeyV2,​List<PartitionHashRecordV2>> clusterHashes,
                              @Nullable
                              @Nullable List<List<TransactionsHashRecord>> txHashConflicts,
                              @Nullable
                              @Nullable Map<ClusterNode,​Collection<GridCacheVersion>> partiallyCommittedTxs)

Parameters:
  `txHashConflicts` - Transaction hashes conflicts.

#### IdleVerifyResultV2

    public IdleVerifyResultV2​(Map<PartitionKeyV2,​List<PartitionHashRecordV2>> clusterHashes,
                              Map<ClusterNode,​Exception> exceptions)

Parameters:
  `clusterHashes` - Map of cluster partition hashes.
  `exceptions` - Exceptions on each cluster node.

### Method Detail

#### getProtocolVersion

    public byte getProtocolVersion()

Overrides:
  `getProtocolVersion` in class `VisorDataTransferObject`
Returns:
  Transfer object version.

#### writeExternalData

    protected void writeExternalData​(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData​(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### counterConflicts

    public Map<PartitionKeyV2,​List<PartitionHashRecordV2>> counterConflicts()

Returns:
  Counter conflicts.

#### hashConflicts

    public Map<PartitionKeyV2,​List<PartitionHashRecordV2>> hashConflicts()

Returns:
  Hash conflicts.

#### movingPartitions

    public Map<PartitionKeyV2,​List<PartitionHashRecordV2>> movingPartitions()

Returns:
  Moving partitions.

#### lostPartitions

    public Map<PartitionKeyV2,​List<PartitionHashRecordV2>> lostPartitions()

Returns:
  Lost partitions.

#### hasConflicts

    public boolean hasConflicts()

Returns:
  `true` if any conflicts were discovered during the check.

#### exceptions

    public Map<ClusterNode,​Exception> exceptions()

Returns:
  Exceptions on nodes.

#### print

    public void print​(Consumer<String> printer,
                      boolean printExceptionMessages)

Print formatted result to the given printer.

Parameters:
  `printer` - Consumer for handle formatted result.
  `printExceptionMessages` - `true` if exceptions must be included too.

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`